> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Issue



## OpenAPI

````yaml /openapi.json patch /v1/issues/{issue_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/{issue_id}:
    patch:
      tags:
        - issues
      summary: Patch Issue
      operationId: patch_issue_v1_issues__issue_id__patch
      parameters:
        - in: path
          name: issue_id
          required: true
          schema:
            title: Issue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateIssueRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Patch Issue V1 Issues  Issue Id  Patch
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateIssueRequest:
      properties:
        assignee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Id
        pattern_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern Id
        severity:
          anyOf:
            - $ref: '#/components/schemas/IssueSeverity'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/IssueStatus'
            - type: 'null'
        structured_attrs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structured Attrs
        team:
          anyOf:
            - type: string
            - type: 'null'
          title: Team
      title: UpdateIssueRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IssueSeverity:
      enum:
        - p1
        - p2
        - p3
        - p4
      title: IssueSeverity
      type: string
    IssueStatus:
      enum:
        - new
        - analyzing
        - analyzed
        - in_loop
        - pattern_found
        - mitigating
        - resolved
        - wont_fix
      title: IssueStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````